---
apiVersion: v1
kind: Node
metadata:
  annotations:
    k8s.ovn.org/host-addresses: '["192.168.90.219","192.168.90.38"]'
    k8s.ovn.org/l3-gateway-config: '{"default":{"mode":"shared","interface-id":"br-ex_master-02.adistefa-105d.qeclusters.arm.eng.rdu2.redhat.com","mac-address":"28:c1:3c:8a:c3:f9","ip-addresses":["192.168.90.38/24"],"ip-address":"192.168.90.38/24","next-hops":["192.168.90.1"],"next-hop":"192.168.90.1","node-port-enable":"true","vlan-id":"0"}}'
    k8s.ovn.org/node-chassis-id: e8cd7b45-83a8-4a0a-b7d7-984671e8dfb8
    k8s.ovn.org/node-gateway-router-lrp-ifaddr: '{"ipv4":"100.64.0.2/16"}'
    k8s.ovn.org/node-mgmt-port-mac-address: ee:6e:b7:34:cc:8b
    k8s.ovn.org/node-primary-ifaddr: '{"ipv4":"192.168.90.38/24"}'
    k8s.ovn.org/node-subnets: '{"default":"10.128.0.0/23"}'
    machineconfiguration.openshift.io/controlPlaneTopology: HighlyAvailable
    machineconfiguration.openshift.io/currentConfig: rendered-master-8186b91d47bd14df36227317ce1c63ba
    machineconfiguration.openshift.io/desiredConfig: rendered-master-8186b91d47bd14df36227317ce1c63ba
    machineconfiguration.openshift.io/desiredDrain: uncordon-rendered-master-8186b91d47bd14df36227317ce1c63ba
    machineconfiguration.openshift.io/lastAppliedDrain: uncordon-rendered-master-8186b91d47bd14df36227317ce1c63ba
    machineconfiguration.openshift.io/reason: ''
    machineconfiguration.openshift.io/state: Done
    volumes.kubernetes.io/controller-managed-attach-detach: 'true'
  creationTimestamp: '2022-10-05T13:45:06Z'
  labels:
    beta.kubernetes.io/arch: arm64
    beta.kubernetes.io/os: linux
    kubernetes.io/arch: arm64
    kubernetes.io/hostname: master-02.adistefa-105d.qeclusters.arm.eng.rdu2.redhat.com
    kubernetes.io/os: linux
    node-role.kubernetes.io/master: ''
    node.openshift.io/os_id: rhcos
  name: master-02.adistefa-105d.qeclusters.arm.eng.rdu2.redhat.com
  resourceVersion: '368070'
  uid: 74482982-7bdb-4b6a-bb43-b2710495b294
spec:
  taints:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
status:

---
apiVersion: machine.openshift.io/v1beta1
kind: Machine
metadata:
  annotations:
    machine.openshift.io/instance-state: ''
    metal3.io/BareMetalHost: openshift-machine-api/master-02
  finalizers:
  - machine.machine.openshift.io
  generation: 1
  labels:
    machine.openshift.io/cluster-api-cluster: adistefa-105d-nkhk5
    machine.openshift.io/cluster-api-machine-role: master
    machine.openshift.io/cluster-api-machine-type: master
    manager: machine-controller-manager
    operation: Update
    subresource: status
    time: '2022-10-05T13:56:56Z'
  name: adistefa-105d-nkhk5-master-2
  namespace: openshift-machine-api
  resourceVersion: '11812'
  uid: e143b4e6-8434-4895-bef2-3f6096a8e389
spec:
  lifecycleHooks: {}
  metadata: {}
  providerSpec:
    value:
      apiVersion: baremetal.cluster.k8s.io/v1alpha1
      customDeploy:
        method: install_coreos
      hostSelector: {}
      image:
        checksum: ''
        url: ''
      kind: BareMetalMachineProviderSpec
      metadata:
        creationTimestamp: null
      userData:
        name: master-user-data-managed
status:
  conditions:
  - lastTransitionTime: '2022-10-05T13:56:56Z'
    status: 'True'
    type: Drainable
  - lastTransitionTime: '2022-10-05T13:56:56Z'
    message: Instance has not been created
    reason: InstanceNotCreated
    severity: Warning
    status: 'False'
    type: InstanceExists
  - lastTransitionTime: '2022-10-05T13:56:56Z'
    status: 'True'
    type: Terminable
  lastUpdated: '2022-10-05T13:56:56Z'
  phase: Provisioning

---
apiVersion: metal3.io/v1alpha1
kind: BareMetalHost
metadata:
  annotations:
    baremetalhost.metal3.io/status: |-
      {
        "hardware": {
          "systemVendor": {
            "manufacturer": "FOXCONN",
            "productName": "Mt. Collins",
            "serialNumber": "CN4141P539"
          },
          "firmware": {
            "bios": {
              "date": "04/21/2022",
              "vendor": "Ampere(R)",
              "version": "0ACOD008 (SCP: 2.06.20220308)"
            }
          },
          "ramMebibytes": 98304,
          "nics": [
            {
              "name": "enP1p4s0",
              "model": "0x8086 0x1533",
              "mac": "00:1b:21:e4:63:30",
              "ip": "172.22.219.236",
              "pxe": true
            },
            {
              "name": "enP1p4s0",
              "model": "0x8086 0x1533",
              "mac": "00:1b:21:e4:63:30",
              "ip": "fe80::f563:cead:c802:5ac%enP1p4s0",
              "pxe": true
            },
            {
              "name": "enP2p2s0f0",
              "model": "0x8086 0x1521",
              "mac": "28:c1:3c:8a:c3:ea",
              "ip": "192.168.90.36"
            },
            {
              "name": "enP2p2s0f0",
              "model": "0x8086 0x1521",
              "mac": "28:c1:3c:8a:c3:ea",
              "ip": "fe80::2ac1:3cff:fe8a:c3ea%enP2p2s0f0"
            },
            {
              "name": "enP2p2s0f1.102",
              "mac": "28:c1:3c:8a:c3:eb",
              "ip": "fe80::2ac1:3cff:fe8a:c3eb%enP2p2s0f1.102"
            },
            {
              "name": "enP2p2s0f0.1",
              "mac": "28:c1:3c:8a:c3:ea",
              "ip": "fe80::2ac1:3cff:fe8a:c3ea%enP2p2s0f0.1"
            },
            {
              "name": "enP4p3s0u2u3c2",
              "mac": "2e:f7:ef:fc:84:6d"
            },
            {
              "name": "enP2p2s0f1",
              "model": "0x8086 0x1521",
              "mac": "28:c1:3c:8a:c3:eb"
            },
            {
              "name": "enP1p4s0.219",
              "mac": "00:1b:21:e4:63:30",
              "ip": "fe80::21b:21ff:fee4:6330%enP1p4s0.219",
              "pxe": true
            }
          ],
          "storage": [
            {
              "name": "/dev/nvme0n1",
              "type": "NVME",
              "sizeBytes": 960197124096,
              "model": "SAMSUNG MZ1LB960HAJQ-00007",
              "serialNumber": "S435NC0R116143",
              "wwn": "eui.34333530521161430025384300000001",
              "wwnWithExtension": "eui.34333530521161430025384300000001"
            }
          ],
          "cpu": {
            "arch": "aarch64",
            "model": "Neoverse-N1",
            "clockMegahertz": 3000,
            "count": 160
          },
          "hostname": "master-00.adistefa-105d.qeclusters.arm.eng.rdu2.redhat.com"
        }
      }
  creationTimestamp: "2022-10-05T13:25:03Z"
  generation: 2
  name: master-00
  namespace: openshift-machine-api
  resourceVersion: "11817"
  uid: c06aba29-fbb6-432f-bef1-d39e79315254
spec:
  automatedCleaningMode: metadata
  bmc:
    address: ipmi://openshift-qe-036.mgmt.arm.eng.rdu2.redhat.com/
    credentialsName: master-00-bmc-secret
    disableCertificateVerification: true
  bootMACAddress: 00:1b:21:e4:63:30
  bootMode: UEFI
  consumerRef:
    apiVersion: machine.openshift.io/v1beta1
    kind: Machine
    name: adistefa-105d-nkhk5-master-0
    namespace: openshift-machine-api
  customDeploy:
    method: install_coreos
  externallyProvisioned: true
  hardwareProfile: unknown
  online: true
  preprovisioningNetworkDataName: master-00-network-config-secret
  rootDeviceHints:
    deviceName: /dev/nvme0n1
  userData:
    name: master-user-data-managed
    namespace: openshift-machine-api
status:
  errorCount: 0
  errorMessage: ""
  goodCredentials: {}
  hardwareProfile: ""
  operationHistory:
    deprovision:
      end: null
      start: null
    inspect:
      end: null
      start: null
    provision:
      end: null
      start: null
    register:
      end: null
      start: null
  operationalStatus: ""
  poweredOn: false
  provisioning:
    ID: ""
    image:
      url: ""
    state: ""
  triedCredentials: {}

